Bug 1006123 - Rendered Diff freezes when diff is trying to compare files that have invalid XML
Rendered Diff freezes when diff is trying to compare files that have invalid XML
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.2
Assigned To: Matthew Casperson
:
Depends On:
Blocks: 1013825
  Show dependency treegraph
 
Reported: 2013-09-10 00:50 EDT by Vikram Goyal
Modified: 2014-08-04 18:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 19:49:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2013-09-10 00:50:26 EDT
As in the title - if you try and see the rendered diff on two docs - one of which has an invalid XML - all the buttons get grayed out and nothing happens.
Comment 1 Matthew Casperson 2013-10-01 21:00:07 EDT
Fixed in 201310021002

To test this, you can use topic 3737 revision 542432, which was saved with invalid XML. Getting a rendered diff of this revision will display an error message instead of just hanging.
Comment 2 Lee Newson 2013-10-01 21:55:54 EDT
Note: This version is currently live on PressGang Next.
Comment 3 Matthew Casperson 2013-10-07 23:18:26 EDT
Hours apply to 2013-10-1
Comment 4 Matthew Casperson 2013-10-16 00:21:36 EDT
Tested this again, and had to make one small change to the message that was displayed when the error occurred, but this can be called fixed.

Note You need to log in before you can comment on or make changes to this bug.